###############################################################################
#                                                                             #
#  Scalpel - A Metrics Module                                                 #
#  Copyright (c) 2019-2021 - Univ Artois & CNRS, Exakis Nelite                #
#  -------------------------------------------------------------------------- #
#  mETRICS - rEproducible sofTware peRformance analysIs in perfeCt Simplicity #
#  sCAlPEL - extraCting dAta of exPeriments from softwarE Logs                #
#                                                                             #
#                                                                             #
#  This program is free software: you can redistribute it and/or modify it    #
#  under the terms of the GNU Lesser General Public License as published by   #
#  the Free Software Foundation, either version 3 of the License, or (at your #
#  option) any later version.                                                 #
#                                                                             #
#  This program is distributed in the hope that it will be useful, but        #
#  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY #
#  or FITNESS FOR A PARTICULAR PURPOSE.                                       #
#  See the GNU Lesser General Public License for more details.                #
#                                                                             #
#  You should have received a copy of the GNU Lesser General Public License   #
#  along with this program.                                                   #
#  If not, see <https://www.gnu.org/licenses/>.                               #
#                                                                             #
###############################################################################


"""
This package provides utility classes designed to make easier the parsing
of campaign data inside Scalpel.
"""

from metrics.scalpel.utils.csvutils import CsvConfiguration, CsvReader

from metrics.scalpel.utils.filters import AbstractExpression
from metrics.scalpel.utils.filters import create_filter

from metrics.scalpel.utils.logging import configure_logger, logger, timeit

from metrics.scalpel.utils.pattern import AbstractUserDefinedPattern, NullUserDefinedPattern
from metrics.scalpel.utils.pattern import LogData
from metrics.scalpel.utils.pattern import compile_any
